# Gcc

@Incubating
interface Gcc : GccCompatibleToolChain

The GNU GCC tool chain.

## Functions

eachPlatform
Link copied to clipboard
abstract fun eachPlatform(action: Action<in GccPlatformToolChain>)
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getPath
Link copied to clipboard
abstract fun getPath(): List<File>
path
Link copied to clipboard
abstract fun path(pathEntries: Array<Any>)
setTargets
Link copied to clipboard
abstract fun setTargets(platformNames: Array<String>)
target
Link copied to clipboard
abstract fun target(platformName: String)